Logo Questions Linux Laravel Mysql Ubuntu Git Menu
 

Ionic 3 - xcode error with cocoapods

Tags:

I try to build an ionic 3 app with push notification and I have some problem with iOS deployment.

I have this 3 error in xcode :

diff: /Podfile.lock: No such file or directory diff: /Manifest.lock: No such file or directory error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation. 

I have try a lot of solution I found on internet :

  • use command "pod install", "pod update"

  • delete and install CocoaPods

  • update CocoaPods

  • Delete "Pods" folder, "Podfile.lock" and "Podfile" and run "pod install" command.

  • Remove libPods-myApp.a from Link Binary From Librairies.

But nothing is effective...

I really don't know what I have to do.

My Podfile :

# DO NOT MODIFY -- auto-generated by Apache Cordova platform :ios, '8.0' target 'MyProject' do     project 'MyProject.xcodeproj'     pod 'GoogleCloudMessaging', '~> 1.2.0'     pod 'GGLInstanceID', '~> 1.2.1' end 

My Podfile.lock :

PODS:   - GGLInstanceID (1.2.1)   - GoogleCloudMessaging (1.2.0):     - GoogleInterchangeUtilities (~> 1.0)     - GoogleIPhoneUtilities (~> 1.0)     - GoogleSymbolUtilities (~> 1.0)   - GoogleInterchangeUtilities (1.2.2):     - GoogleSymbolUtilities (~> 1.1)   - GoogleIPhoneUtilities (1.2.1):     - GoogleSymbolUtilities (~> 1.0)     - GoogleUtilities (~> 1.0)   - GoogleSymbolUtilities (1.1.2)   - GoogleUtilities (1.3.2):     - GoogleSymbolUtilities (~> 1.1)  DEPENDENCIES:   - GGLInstanceID (~> 1.2.1)   - GoogleCloudMessaging (~> 1.2.0)  SPEC CHECKSUMS:   GGLInstanceID: 4a317044f744281b82cd03015f379899f277cad3   GoogleCloudMessaging: f37ea14dd0f41d4d889c10b5559dd35bbfd9ac26   GoogleInterchangeUtilities: d5bc4d88d5b661ab72f9d70c58d02ca8c27ad1f7   GoogleIPhoneUtilities: 63f25e93a3ddcb66884d182aab3a660d98f1479b   GoogleSymbolUtilities: 631ee17048aa5e9ab133470d768ea997a5ef9b96   GoogleUtilities: 8bbc733218aad26306f9d4a253823986110e3358  PODFILE CHECKSUM: 0ff66d442dc6f28bf0fbc7a6b12af811ecc9a43c  COCOAPODS: 1.2.1 

UPDATE

My [CP] Check Pods Manifest.lock :

diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null if [ $? != 0 ] ; then     # print error to STDERR     echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2     exit 1 fi 

I really need help please. :(

UPDATE

I have modify my [CP] Check Pods Manifest.lock to this :

diff "${SRCROOT}/Podfile.lock" "${SRCROOT}/Pods/Manifest.lock" > /dev/null if [ $? != 0 ] ; then     # print error to STDERR     echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2     exit 1 fi 

My tree errors are disapear but I have this new error :

 Module 'FirebaseInstanceID' not found 

enter image description here

I don't know why. I tried to run pod install but no difference.

like image 744
V. Pivet Avatar asked Jul 12 '17 13:07

V. Pivet


1 Answers

Try

pod repo update pod install 
like image 67
Pedro Pinho Avatar answered Sep 28 '22 21:09

Pedro Pinho